{
  pkgs,
  inputs,
  username,
  ...
}: {
  imports = [
    inputs.stylix.nixosModules.stylix
  ];

  home-manager.sharedModules = [
    ./home.nix
  ];

  stylix = {
    enable = true;
    autoEnable = false; #So I can choose my programs it targets myself!
    #image = ../../other/wallpaper2.png;
    #autoEnable = true;    #Auto generate theme based on wallpaper
    base16Scheme = "${pkgs.base16-schemes}/share/themes/dracula.yaml";
    opacity = {
      desktop = 0.5;
      terminal = 0.9;
    };
    fonts = {
      monospace = {
        package = pkgs.nerd-fonts.jetbrains-mono;
        name = "JetBrainsMono Nerd Font";
      };

      sansSerif = {
        package = pkgs.inter;
        name = "Inter";
      };

      serif = {
        package = pkgs.noto-fonts;
        name = "Noto Serif";
      };
    };
    targets = {
      plymouth.enable = true;
      plymouth.logoAnimated = true;
      console.enable = true; #Default console without desktop environment! (NOT KITTY!)
      grub.enable = false;
      #qt.enable = false;
    };
  };
}
